Bug 1334084 - [abrt] abrt-addon-ccpp: abrt-action-install-debuginfo:244:<module>:AttributeError: 'TypeError' object has no attribute 'errno'
Summary: [abrt] abrt-addon-ccpp: abrt-action-install-debuginfo:244:<module>:AttributeE...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 23
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: abrt
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:59923ddf78651462df61973a9a5...
Depends On: 1341305
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-08 06:29 UTC by socraticiris
Modified: 2016-12-20 20:23 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 20:23:52 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (23.39 KB, text/plain)
2016-05-08 06:29 UTC, socraticiris
no flags Details
File: environ (67 bytes, text/plain)
2016-05-08 06:29 UTC, socraticiris
no flags Details

Description socraticiris 2016-05-08 06:29:36 UTC
Version-Release number of selected component:
abrt-addon-ccpp-2.8.0-5.fc23

Additional info:
reporter:       libreport-2.6.4
cmdline:        /usr/bin/python3 -u /usr/bin/abrt-action-install-debuginfo --ids /proc/self/fd/3 --tmpdir /var/tmp/abrt-tmp-debuginfo.NERtpK --
executable:     /usr/bin/abrt-action-install-debuginfo
kernel:         4.4.8-300.fc23.i686
runlevel:       N 5
type:           Python3
uid:            173

Truncated backtrace:
#1 download in /usr/lib/python3.4/site-packages/reportclient/debuginfo.py:377
#2 <module> in /usr/bin/abrt-action-install-debuginfo:242

Comment 1 socraticiris 2016-05-08 06:29:43 UTC
Created attachment 1155006 [details]
File: backtrace

Comment 2 socraticiris 2016-05-08 06:29:45 UTC
Created attachment 1155007 [details]
File: environ

Comment 3 Matej Habrnal 2016-06-13 11:09:59 UTC
This commit fixes the bug: https://github.com/abrt/abrt/pull/1152/commits/8f7e442c649767b34152fc0bed36d731557845f0

Comment 4 Fedora Update System 2016-07-19 08:06:51 UTC
abrt-2.8.0-6.fc23 libreport-2.6.4-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-98a7a1b6e0

Comment 5 Fedora Update System 2016-07-20 01:49:19 UTC
abrt-2.8.0-6.fc23, libreport-2.6.4-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-98a7a1b6e0

Comment 6 Fedora End Of Life 2016-11-25 08:58:30 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2016-12-20 20:23:52 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.